Redmine - Feature #5746

Feature Request - Allow the sidebar to be collapsable

2010-06-24 01:01 - Dain Kaplan

Status: Closed Start date: 2010-06-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

The sidebar on the right is very useful, but sometimes it would be nice to collapse it when it is not needed. Google Maps does this,

for example, and it works very well.

Related issues:
Has duplicate Redmine - Feature #6274: Hide right pane in issues tab

Is duplicate of Redmine - Feature #21808: Make the Sidebar collapsible, stateful

Closed
Closed

2010-09-02

History

#1 - 2010-06-24 06:03 - test test

- File bar2.png added

- Status changed from New to Resolved
- Assignee set to Azamat Hackimov

- % Done changed from 0 to 50

#2 - 2010-06-24 06:06 - test test
- File hi.bmp added

#3 - 2010-06-24 06:07 - test test
(snip)

#4 - 2010-06-24 06:07 - test test
(snip)

#5 - 2010-06-24 06:14 - Felix Schafer
- Status changed from Resolved to New
- Assignee deleted (Azamat Hackimov)

- % Done changed from 50 to 0

Please use the demo redmine for testing purposes.

#6 - 2010-06-24 06:14 - Felix Schéfer
- File deleted (bar2.png)

#7 - 2010-06-24 06:14 - Felix Schafer
- File deleted (hi.bmp)

#8 - 2010-06-24 07:27 - test test
- Status changed from New to Resolved

- % Done changed from 0 to 70

#9 - 2010-06-24 07:41 - Felix Schéfer

- Status changed from Resolved to New
http://demo.redmine.org/

- % Done changed from 70 to 0

#10 - 2010-06-24 11:03 - Yuki Kita

There is a plugin that allows the sidebar to be collapsable.(See PluginCollapse)
But it would be nice if the plugin feature is moved into the Redmine core.

#11 - 2010-06-24 20:08 - Dain Kaplan

The plugin page makes no comment about the stability with version 0.9. Is it likely that it will work? It would be great to have it built into Redmine core.
#12 - 2010-06-24 23:00 - Mischa The Evil
Dain Kaplan wrote:

The plugin page makes no comment about the stability with version 0.9. Is it likely that it will work? [...]
| think it works, but it is not fully compatible with Redmine 0.9.x and current trunk. E.g. some issues with plugin configuration and an outdated
base-view override.
That's the reason why I've removed trunk and 0.9 of the plugins'compatibility entry in the plugin list.

I'll soon try to update the plugin to be fully compatible with both Redmine 0.9.x and the current trunk.

Kind regards,
Mischa.

#13 - 2010-09-02 21:20 - Mark P

| saw this plugin before, but | cannot tell if it will satisfy the need to collapse the right sidebar on the issues tab (or move it to the left and make it
collapsable, which is fine). The plugin page seems to indicate it addresses projects, actions, and overview, but | saw no mention of issues.

Could anyone upload a screenshot of this plugin used in combination with the Issues tab? I'm running 1.0.1 so | don't think the plugin will work for me
to see for myself. Plus, | need to keep my dev instance here clean until next week for an internal demo. Thank you in advance.

#14 - 2016-08-21 23:45 - Go MAEDA
- Is duplicate of Feature #21808: Make the Sidebar collapsible, stateful added

#15 - 2016-08-21 23:46 - Go MAEDA
- Category set to Ul
- Status changed from New to Closed

- Resolution set to Duplicate

A patch was submitted as #21808.
https://www.redmine.org/projects/redmine/wiki/Plugin_list#Collapse-plugin
